System.ServiceModel 4.0.0.0 System.ServiceModel.EndpointIdentity

RSA is a public-key encryption algorithm used for signing and encrypting messages. It involves a public key known to everyone which is used for encrypting, and a private key that is used to decrypt messages.

Specifies an RSA identity for the service endpoint.

- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class from a claim.

  The .
- Constructor
  4.0.0.0
  To be added.

  The is converted to an RSA claim and an endpoint identity is created by the method .

  Initializes a new instance of the class.

- Constructor
  4.0.0.0

  The public key is converted to an RSA claim and an endpoint identity is created by the method .

  Initializes a new instance of the class from a public key.

  The public key.